# Uses of Class
org.apache.zookeeper.server.DataNode

Packages that use DataNode
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation

## Uses of DataNode in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that return DataNode
Modifier and Type
Method
Description
`DataNode`
NodeHashMap.`get(String path)`
Return the data node associated with the path.
`DataNode`
NodeHashMapImpl.`get(String path)`
`DataNode`
DataTree.`getNode(String path)`
`DataNode`
ZKDatabase.`getNode(String path)`
get the datanode for this path
`DataNode`
NodeHashMap.`put(String path, DataNode node)`
Add the node into the map and update the digest with the new node.
`DataNode`
NodeHashMapImpl.`put(String path, DataNode node)`
`DataNode`
NodeHashMap.`putWithoutDigest(String path, DataNode node)`
Add the node into the map without update the digest.
`DataNode`
NodeHashMapImpl.`putWithoutDigest(String path, DataNode node)`
`DataNode`
NodeHashMap.`remove(String path)`
Remove the path from the internal nodes map.
`DataNode`
NodeHashMapImpl.`remove(String path)`
Methods in org.apache.zookeeper.server that return types with arguments of type DataNode
Modifier and Type
Method
Description
`Set<Map.Entry<String,DataNode>>`
NodeHashMap.`entrySet()`
Return all the entries inside this map.
`Set<Map.Entry<String,DataNode>>`
NodeHashMapImpl.`entrySet()`
Methods in org.apache.zookeeper.server with parameters of type DataNode
Modifier and Type
Method
Description
`List<ACL>`
ZKDatabase.`aclForNode(DataNode n)`
`List<ACL>`
DataTree.`getACL(DataNode node)`
`protected long`
ContainerManager.`getElapsed(DataNode node)`
`void`
NodeHashMap.`postChange(String path, DataNode node)`
Called after making the changes on the node, which will update the digest.
`void`
NodeHashMapImpl.`postChange(String path, DataNode node)`
`void`
NodeHashMap.`preChange(String path, DataNode node)`
Called before we made the change on the node, which will clear the digest associated with it.
`void`
NodeHashMapImpl.`preChange(String path, DataNode node)`
`DataNode`
NodeHashMap.`put(String path, DataNode node)`
Add the node into the map and update the digest with the new node.
`DataNode`
NodeHashMapImpl.`put(String path, DataNode node)`
`DataNode`
NodeHashMap.`putWithoutDigest(String path, DataNode node)`
Add the node into the map without update the digest.
`DataNode`
NodeHashMapImpl.`putWithoutDigest(String path, DataNode node)`
`void`
DataTree.`serializeNodeData(OutputArchive oa, String path, DataNode node)`